> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Sector

> Get sector data for a single asset. Returns only the sector data with asset identifiers.



## OpenAPI

````yaml /openapi.json get /v1/assets/{idOrSlug}/sector
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/assets/{idOrSlug}/sector:
    get:
      tags:
        - assets
      summary: Get Asset Sector
      description: >-
        Get sector data for a single asset. Returns only the sector data with
        asset identifiers.
      operationId: AssetController_getSector_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Sector data for the specified asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetSectorWithIdentifiers'
              example:
                id: 40
                title: L1
                created_at: 1698971397
                asset_code: ETH
                asset_slug: ethereum
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetSectorWithIdentifiers:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
          nullable: true
          maxLength: 100
        created_at:
          type: number
          nullable: true
          description: Unix timestamp
        asset_code:
          type: string
          maxLength: 20
        asset_slug:
          type: string
          maxLength: 100
      required:
        - id
        - title
        - created_at
        - asset_code
        - asset_slug
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````